import { request } from "@zhgkpt/utils";

// 获取建筑详情
export function getBuildDetail(id) {
  return request({
    url: "/system/gcjzjcxxcj/detail?id=" + id,
    methods: "get"
  });
}

// 获取消防设施
export function getXfss(params) {
  return request({
    url: "/system/xfss/list",
    methods: "get",
    params
  });
}

// 获取入住单位
export function getRzdw(params) {
  return request({
    url: "/system/rzdw/list",
    methods: "get",
    params
  });
}

// 获取历史火灾
export function getLshz(params) {
  return request({
    url: "/system/lshz/list",
    methods: "get",
    params
  });
}

// 获取隐患
export function getYh(params) {
  return request({
    url: "/system/yh/list",
    methods: "get",
    params
  });
}


// 获取接入数
export function getXfjrs(params) {
  return request({
    url: "/system/zxgjtj/list",
    methods: "get",
    params
  });
}

// 获取风险等级
export function getFxdj(params) {
  return request({
    url: "/system/zl/jcxxList/zyfxd",
    methods: "get",
    params
  });
}

// /dev-api/system/api/qrcode
// 生成二维码
export function getQrcode(params) {
  return request({
    url: "/system/api/qrcode",
    methods: "get",
    params
  });
}